Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms.activemq
Class ActiveMQXAJmsConnector

    java.lang.Object
      org.mule.transport.AbstractConnector
          org.mule.transport.jms.JmsConnector
              org.mule.transport.jms.activemq.ActiveMQJmsConnector
                  org.mule.transport.jms.activemq.ActiveMQXAJmsConnector

All Implemented Interfaces:
  EventListener, ExceptionListener, javax.resource.spi.work.WorkListener, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, NamedObject, Connectable, Connector

    public class ActiveMQXAJmsConnector

extends ActiveMQJmsConnector

Field Summary
`static String` | `ACTIVEMQ_XA_CONNECTION_FACTORY_CLASS`

Fields inherited from class org.mule.transport.jms.activemq.ActiveMQJmsConnector
`ACTIVEMQ_CONNECTION_FACTORY_CLASS, DEFAULT_BROKER_URL`

Fields inherited from class org.mule.transport.jms.JmsConnector
`JMS, password, REDELIVERY_FAIL_ON_FIRST, REDELIVERY_IGNORE, username`

Fields inherited from class org.mule.transport.AbstractConnector
`connected, createMultipleTransactedReceivers, DEFAULT_NUM_CONCURRENT_TX_RECEIVERS, dispatcherFactory, dispatcherPoolFactory, dispatchers, initialStateStopped, lifecycleManager, logger, muleContext, muleMessageFactory, name, numberOfConcurrentTransactedReceivers, receivers, requesterFactory, requesters, serviceDescriptor, serviceOverrides, sessionHandler, startOnConnect`

Fields inherited from interface org.mule.api.transport.Connector
`INT_VALUE_NOT_SET`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`ActiveMQXAJmsConnector(MuleContext context)`

Method Summary
`protected ConnectionFactory` | `getDefaultConnectionFactory()` Override this method to provide a default ConnectionFactory for a vendor-specific JMS Connector.

Methods inherited from class org.mule.transport.jms.activemq.ActiveMQJmsConnector
`applyVendorSpecificConnectionFactoryProperties, doDisconnect, getBrokerURL, setBrokerURL`

Methods inherited from class org.mule.transport.jms.JmsConnector
`close, close, close, close, close, closeQuietly, closeQuietly, closeQuietly, closeQuietly, closeQuietly, closeSessionIfNoTransactionActive, createConnection, createConnectionFactory, createJmsSupport, doConnect, doDispose, doInitialise, doStart, doStop, getAcknowledgementMode, getClientId, getConnection, getConnectionFactory, getConnectionFactoryJndiName, getConnectionFactoryProperties, getJmsSupport, getJndiContext, getJndiInitialFactory, getJndiProviderProperties, getJndiProviderUrl, getMaxRedelivery, getNumberOfConsumers, getPassword, getProtocol, getReceiverKey, getRedeliveryHandlerFactory, getReplyToHandler, getSameRMOverrideValue, getSession, getSession, getSessionFromTransaction, getSpecification, getTopicResolver, getUsername, initJndiContext, isCacheJmsSessions, isDisableTemporaryReplyToDestinations, isDurable, isEagerConsumer, isEmbeddedMode, isForceJndiDestinations, isHonorQosHeaders, isJndiDestinations, isNoLocal, isPersistentDelivery, isResponseEnabled, isReturnOriginalMessageAsReply, lookupFromJndi, onException, preProcessMessage, setAcknowledgementMode, setCacheJmsSessions, setClientId, setConnection, setConnectionFactory, setConnectionFactoryJndiName, setConnectionFactoryProperties, setDisableTemporaryReplyToDestinations, setDurable, setEagerConsumer, setEmbeddedMode, setForceJndiDestinations, setHonorQosHeaders, setJmsSupport, setJndiContext, setJndiDestinations, setJndiInitialFactory, setJndiProviderProperties, setJndiProviderUrl, setMaxRedelivery, setNoLocal, setNumberOfConsumers, setPassword, setPersistentDelivery, setRedeliveryHandlerFactory, setReturnOriginalMessageAsReply, setSameRMOverrideValue, setSpecification, setTopicResolver, setUsername, supportsProperty`

Methods inherited from class org.mule.transport.AbstractConnector
`clearDispatchers, clearRequesters, configureDispatcherPool, connect, createDispatcherMessageProcessor, createMuleMessageFactory, createReceiver, createScheduler, destroyReceiver, disconnect, dispose, disposeReceivers, disposeWorkManagers, doUnregisterListener, exceptionThrown, fireNotification, getConnectEventId, getConnectionDescription, getDefaultExchangePattern, getDefaultInboundTransformers, getDefaultOutboundTransformers, getDefaultResponseTransformers, getDispatcherFactory, getDispatcherPoolFactory, getDispatcherThreadingProfile, getDispatcherWorkManager, getInboundExchangePatterns, getLifecycleState, getMaxDispatchersActive, getMaxRequestersActive, getMaxTotalDispatchers, getMuleContext, getMuleMessageFactory, getName, getNumberOfConcurrentTransactedReceivers, getOutboundExchangePatterns, getOutputStream, getReceiver, getReceivers, getReceivers, getReceiverThreadingProfile, getReceiverWorkManager, getRequesterFactory, getRequesterThreadingProfile, getRequesterWorkManager, getRetryPolicyTemplate, getScheduler, getServiceDescriptor, getServiceOverrides, getSessionHandler, getSupportedProtocols, handleException, handleException, handleWorkException, initFromServiceDescriptor, initialise, initialiseFromUrl, initWorkManagers, isConnected, isCreateMultipleTransactedReceivers, isDisposed, isEnableMessageEvents, isInitialised, isInitialStateStopped, isStarted, isStopped, isValidateConnections, lookupReceiver, registerListener, registerSupportedMetaProtocol, registerSupportedProtocol, registerSupportedProtocolWithoutPrefix, request, request, setConnected, setCreateMultipleTransactedReceivers, setDispatcherFactory, setDispatcherPoolFactory, setDispatcherPoolMaxWait, setDispatcherPoolWhenExhaustedAction, setDispatcherThreadingProfile, setDynamicNotification, setInitialStateStopped, setMaxDispatchersActive, setMaxRequestersActive, setName, setNumberOfConcurrentTransactedReceivers, setReceiverThreadingProfile, setRequesterFactory, setRequesterPoolMaxWait, setRequesterPoolWhenExhaustedAction, setRequesterThreadingProfile, setRetryPolicyTemplate, setServiceOverrides, setSessionHandler, setSupportedProtocols, setupDispatchReturn, setupRequestReturn, setValidateConnections, shutdownScheduler, start, startAfterConnect, stop, supportsProtocol, toString, unregisterListener, unregisterSupportedProtocol, updateCachedNotificationHandler, validateConnection, workAccepted, workCompleted, workRejected, workStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTIVEMQ_XA_CONNECTION_FACTORY_CLASS

    public static final String ACTIVEMQ_XA_CONNECTION_FACTORY_CLASS

See Also:
  Constant Field Values

Constructor Detail

### ActiveMQXAJmsConnector

    public ActiveMQXAJmsConnector(MuleContext context)

Method Detail

### getDefaultConnectionFactory

    protected ConnectionFactory getDefaultConnectionFactory()
                                                     throws Exception

  Description copied from class: `JmsConnector`
  Override this method to provide a default ConnectionFactory for a vendor-specific JMS Connector.

  Overrides:
    `getDefaultConnectionFactory` in class `ActiveMQJmsConnector`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.